## graphql-core 2.3.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/graphql-py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/graphql-py.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/graphql-py"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/graphql-py"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
graphql-core (2.3.2-1) unstable; urgency=medium

  * Source only upload to unstable
  * [a48ea93] d/gbp.conf: Adjust to debian/master
  * [4be12bc] d/control: Use basically same long package description
  * [e7a9e7c] d/control: Add additional deps required for tests
  * [82ba2bf] d/rules: Turn on the test suite while package build
  * [62585d8] autopkgtest: Adding a basic first autopkgtest

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 Dec 2021 21:07:49 +0100

graphql-core (2.3.2-1~exp2) experimental; urgency=medium

  * [b66448d] d/watch: Correct package name in filenamemangle
  * [9070396] d/copyright: Add more copyright holders
    As pointed by Thorsten Alteholz while review some copyright holders are
    missing and need to get also added to the copyright file.
    Thanks for the reminder, Thorsten!
  * [730b9ec] d/README.source: Adding hint about usage of legacy version
  * [4e6d4da] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [ae12277] d/control: Remove obsolet Testsuite entry

  * Closes: #991740

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 29 Nov 2021 10:34:14 +0100

graphql-core (2.3.2-1~exp1) experimental; urgency=medium

  * [d831952] New upstream version 2.3.2
  * [8e6dd73] First and basic Debianization
    (Closes: #991740)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 15 Aug 2021 16:15:46 +0200

=== debian/control ===
Source: graphql-core
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-promise,
 python3-pytest,
 python3-rx,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/graphql-core
Vcs-Git: https://salsa.debian.org/python-team/packages/graphql-core.git
Homepage: https://github.com/graphql-python/graphql-core

Package: python-graphql-core-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: GraphQL implementation for Python (Documentation)
 GraphQL-core 3 is a Python 3.6+ port of GraphQL.js, the JavaScript reference
 implementation for GraphQL, a query language for APIs created by Facebook.
 GraphQL-core provides a reference implementation for the GraphQL
 specification but is also a useful utility for operating on GraphQL files
 and building sophisticated tools.
 .
 This package contains the documentation.

Package: python3-graphql-core
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: GraphQL implementation for Python, a port of GraphQL.js (Python3 version)
 GraphQL-core 3 is a Python 3.6+ port of GraphQL.js, the JavaScript reference
 implementation for GraphQL, a query language for APIs created by Facebook.
 GraphQL-core provides a reference implementation for the GraphQL
 specification but is also a useful utility for operating on GraphQL files
 and building sophisticated tools.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=graphql-core

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=./src python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-graphql-core-doc/usr/share/doc/python-graphql-core-doc/html
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests: smoke
Depends:
 @,
 python3-all,
 python3-django,
 python3-rx,
 python3-promise,
 python3-pytest-django
Restrictions: allow-stderr

=== debian/watch ===
# watch file for graphql-core

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/grapghql-core-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/graphql-python/graphql-core.git \
      refs/tags/v(\d+\.\d+|\d+\.\d+\.\d+)

## graphql-core 3.2.3

=== docs/requirements.txt ===
sphinx>=4.3,<5
sphinx_rtd_theme>=1,<2

=== debian/changelog ===
graphql-core (3.2.3-2) unstable; urgency=medium

  * Upload to unstable
  * [ed63465] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [2a336e6] d/control: Move to dh-sequence*, add BuildProfileSpecs
  * [c414de3] d/rules: Remove --with option from default target
  * [0e663f5] d/rules: Use $(SPHINXOPTS) for sphinx build

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Jun 2023 19:38:08 +0200

graphql-core (3.2.3-1) experimental; urgency=medium

  * [9bcc057] New upstream version 3.2.3
  * [c96e2d1] autopkgtest: Fix source of folder to copy
  * [85a123b] d/control: Update Standards-Version to 4.6.1
    No further changes needed.
  * [809e492] Lintian: Drop not needed source overrides

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 07 Oct 2022 16:53:12 +0200

graphql-core (3.2.1-1) experimental; urgency=medium

  * [d68afa6] New upstream version 3.2.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 Apr 2022 19:01:11 +0200

graphql-core (3.2.0-1) experimental; urgency=medium

  * [c8aad14] New upstream version 3.2.0
  * [70aa67f] d/copyright: Update to year 2022
  * [575f882] d/control: Adjust B-D so pyproject build is usable
  * [f16d73b] d/rules: Enforce usage of pyproject pybuild system

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 19 Jan 2022 20:38:52 +0100

graphql-core (3.1.7-1) experimental; urgency=medium

  * [cfb86b7] New upstream version 3.1.7
  * [6e8cae6] Drop patch queue
    No need any more for a patch queue.
  * [6094b22] d/control: Add more B-D for included testsuite
    The included testsuite requires some more pytest modules to be around.
  * [a8eb752] d/rules: Adjust some arguments for pytest call
  * [93634cb] autopkgtest: Adjust test call setup
    As for the pytest call while package build we need to adjust also the
    autopkgtest setup.
  * [7082701] Revert "d/README.source: Adding hint about usage of legacy
              version"
  * [b9f9ed9] d/control: Mark the -doc package Multi-Arch: foreign
  * [2fc0b54] d/copyright: Update data due new upstream version
  * [ce22844] d/s/lintian-overrides: Some things in source we can ignore

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 30 Dec 2021 10:44:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,30 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-poetry-core,
 Build-Depends-Indep:
- dh-python,
- python3-promise,
- python3-pytest,
- python3-rx,
- python3-setuptools,
- python3-sphinx,
- python3-sphinx-rtd-theme,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ python3-promise <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-benchmark <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
+ python3-rx <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/graphql-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/graphql-core.git
 Homepage: https://github.com/graphql-python/graphql-core
 
 Package: python-graphql-core-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=graphql-core
export PYBUILD_TEST_ARGS=--cov-report=term-missing --cov=graphql --cov=tests
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/htmlcov \
                                    {destdir}/usr/lib/python3*/dist-packages/.coverage \
                                    {destdir}/usr/lib/python3*/dist-packages/coverage.xml

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=./src python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-graphql-core-doc/usr/share/doc/python-graphql-core-doc/html
	dh_sphinxdoc
endif

## graphql-core 3.2.4

=== debian/changelog ===
graphql-core (3.2.4-1) unstable; urgency=medium

  * [94e6cbd] d/watch: Set compression to gz
  * [fad3e7b] New upstream version 3.2.4
  * [1eeab0b] d/control: Update Standards-Version to 4.7.0
    No further changes needed.
  * [d9cd769] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Sep 2024 16:02:25 +0200

## graphql-core 3.2.5

=== debian/changelog ===
graphql-core (3.2.5-1) unstable; urgency=medium

  * [2b256b1] New upstream version 3.2.5

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 05 Nov 2024 15:12:52 +0100

## graphql-core 3.2.6

=== debian/changelog ===
graphql-core (3.2.6-2) unstable; urgency=medium

  * [b298324] d/watch: Convert to version 5
  * [f9a4a11] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [519f838] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Sep 2025 07:18:13 +0200

graphql-core (3.2.6-1) unstable; urgency=medium

  * [9ecf682] New upstream version 3.2.6
  * [5175d1c] d/rules: Drop -D option from SPHINXOPTS
  * [1436e4f] d/rules: Clean up .mypy_cache while dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Feb 2025 11:17:48 +0200

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,7 @@
  python3-rx <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/graphql-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/graphql-core.git
 Homepage: https://github.com/graphql-python/graphql-core

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 export PYBUILD_NAME=graphql-core
 export PYBUILD_TEST_ARGS=--cov-report=term-missing --cov=graphql --cov=tests
@@ -17,6 +16,10 @@
 %:
 	dh $@ --buildsystem=pybuild
 
+override_dh_clean:
+	dh_clean
+	rm -rf .mypy_cache
+
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=./src python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-graphql-core-doc/usr/share/doc/python-graphql-core-doc/html

## graphql-core 3.2.7

=== debian/changelog ===
graphql-core (3.2.7-1) unstable; urgency=medium

  * [9eeb0c6] New upstream version 3.2.7

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 11 Nov 2025 16:56:55 +0200

=== debian/watch ===
Version: 5

Source: https://github.com/graphql-python/graphql-core.git
Matching-Pattern: refs/tags/v(\d+\.\d+|\d+\.\d+\.\d+)
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Mode: git
